<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>
  <xsl:param name="map" select="''"/>

  <xsl:template match="/Data">
    <xsl:for-each select="code">
      <xsl:call-template name="code">
        <xsl:with-param name="item" select="." />
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="position() != last()">|</xsl:when>
      </xsl:choose>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="code">
    <xsl:param name="item" />
    <xsl:value-of select='$item/@id'/>
    <xsl:value-of select="':'"/>
    <xsl:value-of select='$item/Jsonfield/text()'/>
  </xsl:template>

</xsl:stylesheet>
